       IDENTIFICATION DIVISION.
       PROGRAM-ID.    CTRLES.

      ************************************************************
      * DEMO DE COMO RECIBIR VALORES DE DIF CONTROLES            *
      ************************************************************

       ENVIRONMENT DIVISION.
       CONFIGURATION SECTION.
       SOURCE-COMPUTER.       IBM.
       OBJECT-COMPUTER.       IBM.
       INPUT-OUTPUT SECTION.
       FILE-CONTROL.

           COPY "CGILIB\CGI-OUT.SEL".

       DATA DIVISION.

       FILE SECTION.

       COPY "CGILIB\CGI-OUT.FD".
       

       WORKING-STORAGE SECTION.

       COPY "CGILIB\TEMPLATE.WSS".

      *<COBHTTPD-DATA PREFIX="LS-">
       01  WEB-DATA.
           02  FUNC                  PIC X(10).
           02  NOMBRE                PIC X(50).
           02  SEXO                  PIC X(01).
           02  PUBLICIDAD            PIC X(01).
           02  EDAD                  PIC 9(01).
           02  CIUDAD                PIC 9(03).

       77  IK                        PIC X.
       77  L-VISITAS                 PIC ZZZZZ9.
       
       01  LIN-FUNC.
           02  FILLER                PIC X(20) VALUE
               "EL VALOR DE FUNC = ".
           02  WS-FUNC               PIC X(20).
           02 FILLER                 PIC X(04) VALUE "<BR>".

       01  LIN-NOMBRE.
           02  FILLER                PIC X(25) VALUE
               "EL VALOR DE NOMBRE = ".
           02  WS-NOMBRE             PIC X(50).
           02 FILLER                 PIC X(04) VALUE "<BR>".

       01  LIN-SEXO.
           02  FILLER                PIC X(25) VALUE
               "EL VALOR DE SEXO = ".
           02  WS-SEXO               PIC X(01).
           02 FILLER                 PIC X(04) VALUE "<BR>".

       01  LIN-PUBLICIDAD.
           02  FILLER                PIC X(25) VALUE
               "EL VALOR DE PUBLICIDAD = ".
           02  WS-PUBLICIDAD         PIC X(01).
           02 FILLER                 PIC X(04) VALUE "<BR>".
           
       01  LIN-EDAD.
           02  FILLER                PIC X(25) VALUE
               "EL VALOR DE EDAD = ".
           02  WS-EDAD               PIC X(01).
           02 FILLER                 PIC X(04) VALUE "<BR>".
           
       01  LIN-CIUDAD.
           02  FILLER                PIC X(25) VALUE
               "EL VALOR DE CIUDAD = ".
           02  WS-CIUDAD             PIC X(03).
           02 FILLER                 PIC X(04) VALUE "<BR>".

       LINKAGE SECTION.

       COPY "CGILIB\LS-HTTP.FDT".

       PROCEDURE DIVISION USING HTTP-CONTROL HTTP-DATA-INP.
       DECLARATIVES.
       BLOQUEO SECTION.
           USE AFTER STANDARD ERROR PROCEDURE ON CGI-OUT.
       END DECLARATIVES.
       PROGRAMA SECTION.
       0000-START.
           MOVE HTTP-DATA-INP  TO WEB-DATA.

           PERFORM TPL-OPEN-FILE.
           
           IF FUNC = "SHOW"
              PERFORM 100-SHOW-FORMA.
              
           IF FUNC = "GRABAR"
              PERFORM 200-MUESTRA.

           CLOSE CGI-OUT.

           GO TO 999-EXIT.
           
       100-SHOW-FORMA.
           MOVE "tpl\ctrles.html" TO TPL-FILENAME.
           PERFORM TPL-ADD-FILENAME.
           
           MOVE "CIUDAD" TO COMBO-NAME.
           MOVE "TAMPICO" TO COMBO-ITEM.
           MOVE "001" TO COMBO-VALUE.
           MOVE "N" TO COMBO-SELECTED.
           PERFORM TPL-ADD-TO-COMBO.

           MOVE "MADERO" TO COMBO-ITEM.
           MOVE "002" TO COMBO-VALUE.
           PERFORM TPL-ADD-TO-COMBO.

           MOVE "ALTAMIRA" TO COMBO-ITEM.
           MOVE "003" TO COMBO-VALUE.
           MOVE "Y" TO COMBO-SELECTED.
           PERFORM TPL-ADD-TO-COMBO.

           MOVE "VICTORIA" TO COMBO-ITEM.
           MOVE "004" TO COMBO-VALUE.
           MOVE "N" TO COMBO-SELECTED.
           PERFORM TPL-ADD-TO-COMBO.
           
           MOVE "REYNOSA" TO COMBO-ITEM.
           MOVE "005" TO COMBO-VALUE.
           PERFORM TPL-ADD-TO-COMBO.
           
           MOVE "MATAMOROS" TO COMBO-ITEM.
           MOVE "006" TO COMBO-VALUE.
           PERFORM TPL-ADD-TO-COMBO.


       200-MUESTRA.
           MOVE FUNC    TO WS-FUNC.
           MOVE NOMBRE  TO WS-NOMBRE.
           MOVE SEXO    TO WS-SEXO.
           MOVE PUBLICIDAD   TO WS-PUBLICIDAD.
           MOVE EDAD    TO WS-EDAD.
           MOVE CIUDAD  TO WS-CIUDAD.

           WRITE R-CGI-OUT FROM LIN-FUNC.
           WRITE R-CGI-OUT FROM LIN-NOMBRE.
           WRITE R-CGI-OUT FROM LIN-SEXO.
           WRITE R-CGI-OUT FROM LIN-PUBLICIDAD.
           WRITE R-CGI-OUT FROM LIN-EDAD.
           WRITE R-CGI-OUT FROM LIN-CIUDAD.


       COPY "CGILIB\TEMPLATE.FDT".

       999-EXIT.

       EXIT-PROG.
           EXIT PROGRAM.

       END PROGRAM.

