       IDENTIFICATION DIVISION.
       PROGRAM-ID.    REPMEMO1.

      ************************************************************
      * GENERA UN REPORTE CON CAMPO MEMO                         *
      ************************************************************

       ENVIRONMENT DIVISION.
       CONFIGURATION SECTION.
       SOURCE-COMPUTER.       IBM.
       OBJECT-COMPUTER.       IBM.
       INPUT-OUTPUT SECTION.
       FILE-CONTROL.

           COPY "CGILIB\CGI-OUT.SEL".

       DATA DIVISION.

       FILE SECTION.

       COPY "CGILIB\CGI-OUT.FD".
       

       WORKING-STORAGE SECTION.

       COPY "CGILIB\TEMPLATE.WSS".

      *<COBHTTPD-DATA PREFIX="LS-">
       01  WEB-DATA.
           02  FUNC                  PIC X(10).
           02  VISITAS               PIC 9(05).

       77  IK                        PIC X.

       77  MEM-LINE      PIC X(150).
       77  MEM-COMPANY   PIC X(80) VALUE "COBTOOLS.COM".
       
       LINKAGE SECTION.

       COPY "CGILIB\LS-HTTP.FDT".

       PROCEDURE DIVISION USING HTTP-CONTROL HTTP-DATA-INP.

       DECLARATIVES.
       BLOQUEO SECTION.
           USE AFTER STANDARD ERROR PROCEDURE ON CGI-OUT.
       END DECLARATIVES.
       PROGRAMA SECTION.
       0000-START.
           MOVE HTTP-DATA-INP  TO WEB-DATA.

           PERFORM TPL-OPEN-FILE.
           
           PERFORM 500-TITLES.
           
           PERFORM 100-WRITE-MEMO.

           CLOSE CGI-OUT.

           GO TO 999-EXIT.
           
       100-WRITE-MEMO.
           WRITE R-CGI-OUT FROM "<MEMO TOP='+0' WIDTH='2'>".
           WRITE R-CGI-OUT FROM "This sample show how build a MEMO".
           WRITE R-CGI-OUT FROM "inside a report called by /cobpdf?".
           WRITE R-CGI-OUT FROM "_".
           WRITE R-CGI-OUT FROM "This program is repmemo1.cbl".
           WRITE R-CGI-OUT FROM "_".
           WRITE R-CGI-OUT FROM "And the MEMO is build in the BODY".
           WRITE R-CGI-OUT FROM "section, with all parameters".
           WRITE R-CGI-OUT FROM "inline".
           WRITE R-CGI-OUT FROM "_".
           WRITE R-CGI-OUT FROM "</MEMO>".
       
           
           
       500-TITLES.
           MOVE SPACES TO MEM-LINE.
           STRING "<VAR NAME-COMPANY='", MEM-COMPANY, "'>"
                  DELIMITED BY SIZE INTO MEM-LINE.
           WRITE R-CGI-OUT FROM MEM-LINE.

           MOVE "<include 'reps\repmemo1.def'>" TO MEM-LINE.
           WRITE R-CGI-OUT FROM MEM-LINE.

       COPY "CGILIB\TEMPLATE.FDT".

       999-EXIT.

       EXIT-PROG.
           EXIT PROGRAM.

       END PROGRAM.
